class Person{
    private readonly _name: string;
    private readonly _age: number;

    constructor(name: string, age: number) {
        this._name = name;
        this._age = age;
    }

    get name(): string {
        return this._name;
    }

    get age(): number {
        return this._age;
    }

    displayAsString():void{
        //this._age=30;  error TS2540: Cannot assign to '_age' because
        // it is a constant or a read-only property.
        console.log(this);
    }
}

let person: Person =  new Person("Ashalee", 28);
person.displayAsString();